Index: trunk/source/processes/electromagnetic/adjoint/History
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/History	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
+$Id: History,v 1.5 2009/11/23 09:02:35 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -18,7 +18,9 @@
      ----------------------------------------------------------
 
+23 Nov 2009: G.Cosmo (emadjoint-V09-02-02)
+- Corrected compilation error on Windows for G4AdjointAlongStepWeightCorrection.
+
 20 Nov 2009: L.Desorgher (emadjoint-V09-02-01)
--Replace C++ type by G4 type where needed and adding of G4disclaimer 
-
+- Replace C++ type by G4 type where needed and adding of G4 disclaimer.
 
 10 Nov 2009: L.Desorgher (emadjoint-V09-02-00)
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointAlongStepWeightCorrection.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointAlongStepWeightCorrection.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointBremsstrahlungModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointBremsstrahlungModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSManager.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSManager.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointCSMatrix.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSMatrix.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointComptonModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointComptonModel.hh,v 1.5 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointInterpolator.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointInterpolator.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointIonIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointIonIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointPhotoElectricModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointPhotoElectricModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointProcessEquivalentToDirectProcess.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointProcessEquivalentToDirectProcess.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointeIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointeIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhIonisationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointhIonisationModel.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4AdjointhMultipleScattering.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointhMultipleScattering.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4ContinuousGainOfEnergy.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ContinuousGainOfEnergy.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4InversePEEffect.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4InversePEEffect.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4IonInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4IonInverseIonisation.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4VAdjointReverseReaction.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VAdjointReverseReaction.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4VEmAdjointModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VEmAdjointModel.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseBremsstrahlung.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseBremsstrahlung.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseCompton.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseCompton.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4eInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseIonisation.hh,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/include/G4hInverseIonisation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hInverseIonisation.hh,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 /////////////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointAlongStepWeightCorrection.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointAlongStepWeightCorrection.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointAlongStepWeightCorrection.cc,v 1.5 2009/11/23 09:02:35 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointAlongStepWeightCorrection.hh"
@@ -32,8 +32,4 @@
 #include "G4VParticleChange.hh"
 #include "G4AdjointCSManager.hh"
-
-#ifdef WIN32
-#include <G4float .h>
-#endif
 
 ///////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointBremsstrahlungModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointBremsstrahlungModel.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointBremsstrahlungModel.cc,v 1.5 2009/12/16 17:50:01 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointBremsstrahlungModel.hh"
@@ -122,6 +122,6 @@
   const G4double a1 = 0.625 , a2 = 3.*a1 , d = 27. ;
 
-  if (9./(9.+d) > G4UniformRand()) u = - log(G4UniformRand()*G4UniformRand())/a1;
-     else                          u = - log(G4UniformRand()*G4UniformRand())/a2;
+  if (9./(9.+d) > G4UniformRand()) u = - std::log(G4UniformRand()*G4UniformRand())/a1;
+     else                          u = - std::log(G4UniformRand()*G4UniformRand())/a2;
 
   G4double theta = u*electron_mass_c2/projectileTotalEnergy;
@@ -183,5 +183,5 @@
         G4double Emin=  GetSecondAdjEnergyMinForProdToProjCase(adjointPrimKinEnergy);;
 	if (Emin>=Emax) return;
-	projectileKinEnergy=Emin*pow(Emax/Emin,G4UniformRand());
+	projectileKinEnergy=Emin*std::pow(Emax/Emin,G4UniformRand());
 	diffCSUsed=lastCZ/projectileKinEnergy;
  	
@@ -193,5 +193,5 @@
 	G4double f2=(Emax-adjointPrimKinEnergy)/Emax/f1;
 	//G4cout<<"f1 and f2 "<<f1<<'\t'<<f2<<G4endl;
-	projectileKinEnergy=adjointPrimKinEnergy/(1.-f1*pow(f2,G4UniformRand()));
+	projectileKinEnergy=adjointPrimKinEnergy/(1.-f1*std::pow(f2,G4UniformRand()));
 	gammaEnergy=projectileKinEnergy-adjointPrimKinEnergy;
 	diffCSUsed=lastCZ*adjointPrimKinEnergy/projectileKinEnergy/gammaEnergy;
@@ -232,6 +232,6 @@
   const G4double a1 = 0.625 , a2 = 3.*a1 , d = 27. ;
 
-  if (9./(9.+d) > G4UniformRand()) u = - log(G4UniformRand()*G4UniformRand())/a1;
-     else                          u = - log(G4UniformRand()*G4UniformRand())/a2;
+  if (9./(9.+d) > G4UniformRand()) u = - std::log(G4UniformRand()*G4UniformRand())/a1;
+     else                          u = - std::log(G4UniformRand()*G4UniformRand())/a2;
 
   G4double theta = u*electron_mass_c2/projectileTotalEnergy;
@@ -373,15 +373,15 @@
   DefineCurrentMaterial(aCouple);
   G4double Cross=0.;
-  lastCZ=theDirectEMModel->CrossSectionPerVolume(aCouple->GetMaterial(),theDirectPrimaryPartDef,100.*MeV,100.*MeV/exp(1.));//this give the constant above
+  lastCZ=theDirectEMModel->CrossSectionPerVolume(aCouple->GetMaterial(),theDirectPrimaryPartDef,100.*MeV,100.*MeV/std::exp(1.));//this give the constant above
   
   if (!IsScatProjToProjCase ){
   	G4double Emax_proj = GetSecondAdjEnergyMaxForProdToProjCase(primEnergy);
   	G4double Emin_proj = GetSecondAdjEnergyMinForProdToProjCase(primEnergy);
-	if (Emax_proj>Emin_proj && primEnergy > currentTcutForDirectSecond) Cross= lastCZ*log(Emax_proj/Emin_proj);
+	if (Emax_proj>Emin_proj && primEnergy > currentTcutForDirectSecond) Cross= lastCZ*std::log(Emax_proj/Emin_proj);
   }
   else {
   	G4double Emax_proj = GetSecondAdjEnergyMaxForScatProjToProjCase(primEnergy);
 	G4double Emin_proj = GetSecondAdjEnergyMinForScatProjToProjCase(primEnergy,currentTcutForDirectSecond);
-	if (Emax_proj>Emin_proj) Cross= lastCZ*log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy));
+	if (Emax_proj>Emin_proj) Cross= lastCZ*std::log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy));
   	
   }
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSManager.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSManager.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSManager.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSManager.cc,v 1.5 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointCSManager.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSMatrix.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSMatrix.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointCSMatrix.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointCSMatrix.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointComptonModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointComptonModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointComptonModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointComptonModel.cc,v 1.5 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointComptonModel.cc,v 1.6 2009/12/16 17:50:03 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointComptonModel.hh"
@@ -181,7 +181,7 @@
 	G4double f1=(Emin-adjointPrimKinEnergy)/Emin;
 	G4double f2=(Emax-adjointPrimKinEnergy)/Emax/f1;
-	gammaE1=adjointPrimKinEnergy/(1.-f1*pow(f2,G4UniformRand()));;
+	gammaE1=adjointPrimKinEnergy/(1.-f1*std::pow(f2,G4UniformRand()));;
 	gammaE2=gammaE1-adjointPrimKinEnergy;
-	diffCSUsed= diffCSUsed*(1.+2.*log(1.+electron_mass_c2/adjointPrimKinEnergy))*adjointPrimKinEnergy/gammaE1/gammaE2;
+	diffCSUsed= diffCSUsed*(1.+2.*std::log(1.+electron_mass_c2/adjointPrimKinEnergy))*adjointPrimKinEnergy/gammaE1/gammaE2;
 	
  	
@@ -191,5 +191,5 @@
 	if (Emin>=Emax) return;
 	gammaE2 =adjointPrimKinEnergy;
-	gammaE1=Emin*pow(Emax/Emin,G4UniformRand());
+	gammaE1=Emin*std::pow(Emax/Emin,G4UniformRand());
 	diffCSUsed= diffCSUsed/gammaE1;
 	
@@ -388,6 +388,6 @@
   	Emin_proj = GetSecondAdjEnergyMinForProdToProjCase(primEnergy);
 	if (Emax_proj>Emin_proj ){
-		 Cross= log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy))
-		 						*(1.+2.*log(1.+electron_mass_c2/primEnergy));
+		 Cross= std::log((Emax_proj-primEnergy)*Emin_proj/Emax_proj/(Emin_proj-primEnergy))
+		 						*(1.+2.*std::log(1.+electron_mass_c2/primEnergy));
 	}	 
   }
@@ -396,5 +396,5 @@
 	Emin_proj = GetSecondAdjEnergyMinForScatProjToProjCase(primEnergy,0.);
 	if (Emax_proj>Emin_proj) {
-		Cross = log(Emax_proj/Emin_proj);
+		Cross = std::log(Emax_proj/Emin_proj);
 		//+0.5*primEnergy*primEnergy(1./(Emin_proj*Emin_proj) - 1./(Emax_proj*Emax_proj)); neglected at the moment
 	}
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointInterpolator.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointInterpolator.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointInterpolator.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointInterpolator.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointCSMatrix.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointIonIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointIonIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointIonIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointIonIonisationModel.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointIonIonisationModel.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointPhotoElectricModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointPhotoElectricModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointPhotoElectricModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointPhotoElectricModel.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointPhotoElectricModel.cc,v 1.5 2009/12/16 17:50:05 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointPhotoElectricModel.hh"
@@ -109,5 +109,5 @@
    G4double gamma   = 1. + electronEnergy/electron_mass_c2;
    if (gamma <= 5.) {
-  	G4double beta  = sqrt(gamma*gamma-1.)/gamma;
+  	G4double beta  = std::sqrt(gamma*gamma-1.)/gamma;
  	G4double b     = 0.5*gamma*(gamma-1.)*(gamma-2);
 
@@ -127,7 +127,7 @@
   
      
-  G4double sin_theta = sqrt(1.-cos_theta*cos_theta);
+  G4double sin_theta = std::sqrt(1.-cos_theta*cos_theta);
   G4double Phi     = twopi * G4UniformRand();
-  G4double dirx = sin_theta*cos(Phi),diry = sin_theta*sin(Phi),dirz = cos_theta;
+  G4double dirx = sin_theta*std::cos(Phi),diry = sin_theta*std::sin(Phi),dirz = cos_theta;
   G4ThreeVector adjoint_gammaDirection(dirx,diry,dirz);
   adjoint_gammaDirection.rotateUz(electronDirection);
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointProcessEquivalentToDirectProcess.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointProcessEquivalentToDirectProcess.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointProcessEquivalentToDirectProcess.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AdjointProcessEquivalentToDirectProcess.cc,v 1.1 2009/11/11 00:31:19 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointeIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointeIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointeIonisationModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointeIonisationModel.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointeIonisationModel.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhIonisationModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhIonisationModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhIonisationModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4AdjointhIonisationModel.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4AdjointhIonisationModel.cc,v 1.3 2009/12/16 17:50:07 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4AdjointhIonisationModel.hh"
@@ -206,5 +206,5 @@
 	G4double f31=diff1/Emin;
 	G4double f32=diff2/Emax/f31;
-	G4double t3=2.*log(f32);
+	G4double t3=2.*std::log(f32);
 	G4double sum_t=t1+t2+t3;
 	newCS=newCS*sum_t/adjointPrimKinEnergy/adjointPrimKinEnergy;
@@ -220,5 +220,5 @@
 	}
 	else {	
-		projectileKinEnergy=adjointPrimKinEnergy/(1.-f31*pow(f32,G4UniformRand()));
+		projectileKinEnergy=adjointPrimKinEnergy/(1.-f31*std::pow(f32,G4UniformRand()));
 		
 	}
@@ -470,5 +470,5 @@
 	G4double diff2=Emax_proj-primEnergy;
 	G4double t1=(1./diff1+1./Emin_proj-1./diff2-1./Emax_proj)/primEnergy;
-	G4double t2=2.*log(diff2*Emin_proj/Emax_proj/diff1)/primEnergy/primEnergy;
+	G4double t2=2.*std::log(diff2*Emin_proj/Emax_proj/diff1)/primEnergy/primEnergy;
 	Cross*=(t1+t2);
 
Index: trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhMultipleScattering.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhMultipleScattering.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4AdjointhMultipleScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AdjointhMultipleScattering.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/electromagnetic/adjoint/src/G4ContinuousGainOfEnergy.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4ContinuousGainOfEnergy.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4ContinuousGainOfEnergy.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ContinuousGainOfEnergy.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4ContinuousGainOfEnergy.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4InversePEEffect.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4InversePEEffect.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4InversePEEffect.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4InversePEEffect.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4InversePEEffect.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4IonInverseIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4IonInverseIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4IonInverseIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4IonInverseIonisation.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ///////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4VAdjointReverseReaction.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4VAdjointReverseReaction.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4VAdjointReverseReaction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VAdjointReverseReaction.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4VAdjointReverseReaction.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4VEmAdjointModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4VEmAdjointModel.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4VEmAdjointModel.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VEmAdjointModel.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4VEmAdjointModel.cc,v 1.5 2009/12/16 17:50:09 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4VEmAdjointModel.hh"
@@ -572,5 +572,5 @@
 	do {
         	q = G4UniformRand();
-        	x = pow(xmin, q);
+        	x = std::pow(xmin, q);
 		E=x*Emax;
 		greject = DiffCrossSectionPerAtomPrimToSecond( E,prim_energy ,1); 
Index: trunk/source/processes/electromagnetic/adjoint/src/G4eInverseBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4eInverseBremsstrahlung.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4eInverseBremsstrahlung.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseBremsstrahlung.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4eInverseBremsstrahlung.hh"
Index: trunk/source/processes/electromagnetic/adjoint/src/G4eInverseCompton.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4eInverseCompton.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4eInverseCompton.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseCompton.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ///////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4eInverseIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4eInverseIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4eInverseIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eInverseIonisation.cc,v 1.4 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ///////////////////////////////////////////////////////
Index: trunk/source/processes/electromagnetic/adjoint/src/G4hInverseIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/adjoint/src/G4hInverseIonisation.cc	(revision 1201)
+++ trunk/source/processes/electromagnetic/adjoint/src/G4hInverseIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hInverseIonisation.cc,v 1.2 2009/11/20 10:31:20 ldesorgh Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 ///////////////////////////////////////////////////////
